%global libname zbase32
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:       python-%{libname}
Version:    1.1.1
Release:    3%{?dist}
Summary:    A base32 encoder/decoder

Group:      Development/Tools
License:    BSD and LGPLv2
URL:        http://allmydata.org/trac/%{libname}
Source0:    http://pypi.python.org/packages/source/z/%{libname}/%{libname}-%{version}.tar.gz
Patch0:     zbase32-disable-darcs.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

# disabled until pyutil is approved
# Requires:   pyutil
# BuildRequires:   pyutil
BuildRequires:  python-devel, python-argparse, python-setuptools

%description
An alternate base32 encoder (not RFC 3548 compliant).

%prep
%setup -q -n %{libname}-%{version}
# stop setuptools from looking for setuptools_darcs
%patch0 -p1


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root %{buildroot}

chmod 0755 %{buildroot}%{python_sitelib}/%{libname}/test/test_%{libname}.py
chmod 0755 %{buildroot}%{python_sitelib}/%{libname}/%{libname}.py

 
%check
# disabled until pyutil is approved (#560457)
#python setup.py test

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*


%changelog
* Tue Feb 09 2010 Ruben Kerkhof <ruben@rubenkerkhof.com 1.1.1-3
- Stop setuptools from looking for setuptools_darcs

* Mon Feb 01 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.1.1-2
- Disable dependency on pyutil until that's approved (#560457)

* Sun Jan 31 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.1.1-1
- Initial import

